import { TensorScriptModelInterface, TensorScriptOptions, TensorScriptProperties } from './model_interface';
/**
 * Deep Learning with Tensorflow
 * @class MachineLearningModelInterface
 * @implements {TensorScriptModelInterface}
 */
export declare class MachineLearningModelInterface extends TensorScriptModelInterface {
    scikit: any;
    /**
     * @param {{layers:Array<Object>,compile:Object,fit:Object}} options - neural network configuration and tensorflow model hyperparameters
     * @param {{model:Object,tf:Object,}} properties - extra instance properties
     */
    constructor(options?: TensorScriptOptions, properties?: TensorScriptProperties);
    explain(): {
        coefficients: any;
        intercept: any;
    };
}
